<?php
// Controller.php

/**
 *
 */
class Controller
{
	// Data Access
	var $da;
	
	// Session
	var $sess; 
	
	// Request
	var $request;
	
	// StopWatch
	var $timer;
	
	
	/**
	 * Constructor.
	 *
	 * @param $data_access DataAccess
	 * @param $timer StopWatch
	 * @access public
	 * @return void
	 */
	function Controller(& $data_access, & $session, & $timer)
	{
		global $__CS; 
		$__CS->EnterMethod("Controller");
		$__CS->SendObject($data_access,"DataAccess");
		$__CS->SendObject($timer,"StopWatch");
		
		$this->da 		=& $data_access;
		$this->sess		=& $session;
		$this->timer 	=& $timer;
		
		$__CS->ExitMethod("Controller");
	}
	
	/**
	 * Processes a request.
	 *
	 * @param $request Request
	 * @access public
	 * @return void
	 */
	function processRequest(& $request)
	{
		trigger_error(__ERROR.": Must override processRequest() method in Controller subclass");
	}
	
}
?>